package cd.casic.ci.common.pipeline.dialect;

import cd.casic.ci.common.pipeline.enums.ChannelCode;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.dialect
 * @Project：ops-pro
 * @name：PipelineDialectUtil
 * @Date：2025/03/27 10:36
 * @Filename：PipelineDialectUtil
 * @description：Todo
 */
@NoArgsConstructor
public class PipelineDialectUtil {
    public static IPipelineDialect getPipelineDialect(String pipelineDialectType) {
        return pipelineDialectType != null ? PipelineDialectType.valueOf(pipelineDialectType).getDialect() : PipelineDialectType.CLASSIC.getDialect();
    }

    public static IPipelineDialect getPipelineDialect(Boolean inheritedDialect, String projectDialect, String pipelineDialect) {
        return getPipelineDialectType(inheritedDialect, projectDialect, pipelineDialect).getDialect();
    }

    public static PipelineDialectType getPipelineDialectType(Boolean inheritedDialect, String projectDialect, String pipelineDialect) {
        if (inheritedDialect == null || inheritedDialect) {
            if (projectDialect != null) {
                return PipelineDialectType.valueOf(projectDialect);
            }
        } else if (pipelineDialect != null) {
            return PipelineDialectType.valueOf(pipelineDialect);
        }
        return PipelineDialectType.CLASSIC;
    }

}
