package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：ChannelCode
 * @Date：2025/03/25 17:03
 * @Filename：ChannelCode
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum ChannelCode {
    BS,
    AM,
    CODECC,
    GCLOUD,
    GIT,
    GONGFENGSCAN,
    CODECC_EE;

    public static boolean isNeedAuth(ChannelCode channelCode) {
        return channelCode == BS;
    }

    public static boolean webChannel(ChannelCode channelCode) {
        return channelCode == BS || channelCode == GIT;
    }

    public static ChannelCode getChannel(String channel) {
        for (ChannelCode code : values()) {
            if (code.name().equals(channel)) {
                return code;
            }
        }
        return null;
    }
}
