package cd.casic.ci.log.dal.pojo;

import cd.casic.ci.log.dal.pojo.enums.LogStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.ArrayList;
import java.util.List;

/**
 * @author by mianbin
 * @Classname EndPageQueryLogs
 * @Date 2025/3/19 17:34
 */
@Data
@Schema(title = "结尾的日志查询模型")
public class EndPageQueryLogs {
    @Schema(description = "构建ID", required = true)
    private String buildId;
    @Schema(description = "开始行号", required = true)
    private long startLineNo = 0L;
    @Schema(description = "结束行号", required = true)
    private long endLineNo = 0L;
    @Schema(description = "日志列表", required = true)
    private List<LogLine> logs = new ArrayList<>();
    @Schema(description = "所用时间", required = false)
    private long timeUsed = 0;
    @Schema(description = "日志查询状态", required = false)
    private int status = LogStatusEnum.SUCCEED.status;
}
