package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.Model;
import cd.casic.ci.common.pipeline.pojo.transfer.TemplateInfo;
import cd.casic.ci.common.pipeline.pojo.ErrorInfo;
import cd.casic.ci.process.api.process.pojo.BuildStageStatus;
import cd.casic.ci.process.api.process.pojo.PipelineBuildMaterial;
import cd.casic.ci.process.api.process.pojo.code.WebhookInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author by mianbin
 * @Classname ModelRecord
 * @Description TODO
 * @Date 2025/3/31 17:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "构建详情-构建信息")
public class ModelRecord {
    @Schema(title = "构建ID", required = true)
    private String id;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "启动用户", required = true)
    private String userId;
    @Schema(title = "触发用户", required = true)
    private String triggerUser;
    @Schema(title = "触发条件", required = true)
    private String trigger;
    @Schema(title = "触发时间（进队列时间）", required = true)
    private Long queueTime;
    @Schema(title = "执行开始时间", required = true)
    private Long startTime;
    @Schema(title = "排队耗时（进队列到开始执行）", required = true)
    private Long queueTimeCost;
    @Schema(title = "执行结束时间", required = false)
    private Long endTime;
    @Schema(title = "Build status", required = true)
    private String status;
    @Schema(title = "Build Model", required = true)
    private Model model;
    @Schema(title = "服务器当前时间戳", required = true)
    private Long currentTimestamp;
    @Schema(title = "构建号", required = true)
    private Integer buildNum;
    @Schema(title = "取消构建的用户", required = false)
    private String cancelUserId;
    @Schema(title = "本次执行的编排版本号", required = true)
    private Integer curVersion;
    @Schema(title = "本次执行的编排版本名", required = true)
    private String curVersionName;
    @Schema(title = "流水线当前最新版本号", required = true)
    private Integer latestVersion;
    @Schema(title = "最新一次的构建buildNo", required = true)
    private Integer latestBuildNum;
    @Schema(title = "最近修改人", required = false)
    private String lastModifyUser;
    @Deprecated
    @Schema(title = "执行耗时（排除系统耗时）流水线执行结束时才赋值", required = true)
    private Long executeTime = 0L;
    @Schema(title = "流水线任务执行错误", required = false)
    private List<ErrorInfo> errorInfoList;
    @Schema(title = "已执行stage的状态", required = false)
    private List<BuildStageStatus> stageStatus;
    @Schema(title = "触发审核人列表", required = false)
    private List<String> triggerReviewers;
    @Schema(title = "当前查询的执行次数", required = false)
    private Integer executeCount;
    @Deprecated
    @Schema(title = "历史重试执行人列表（有序）", required = true)
    private List<String> startUserList;
    @Schema(title = "历史重试人列表（有序）", required = true)
    private List<BuildRecordInfo> recordList;
    @Schema(title = "构建信息", required = false)
    private String buildMsg;
    @Schema(title = "原材料", required = false)
    private List<PipelineBuildMaterial> material;
    @Schema(title = "备注", required = false)
    private String remark;
    @Schema(title = "是否为调试构建", required = false)
    private Boolean debug = false;
    @Schema(title = "触发信息（包括代码库等）", required = false)
    private WebhookInfo webhookInfo;
    @Schema(title = "约束模式下的模板信息", required = false)
    private TemplateInfo templateInfo;
}
