package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateModel
 * @Date：2025/03/24 19:19
 * @Filename：TemplateModel
 * @description：Todo
 */
@Data
@Schema(title = "模板模型")
public class TemplateModel {
    @Schema(title = "模版名称", required = true)
    private String name;
    @Schema(title = "模版ID", required = true)
    private String templateId;
    @Schema(title = "版本ID", required = true)
    private Long version;
    @Schema(title = "最新版本号", required = true)
    private String versionName;
    @Schema(title = "模板类型", required = true)
    private String templateType;
    @Schema(title = "模板类型描述", required = true)
    private String templateTypeDesc;
    @Schema(title = "模版logo", required = true)
    private String logoUrl;
    @Schema(title = "是否关联到市场", required = true)
    private Boolean storeFlag;
    @Schema(title = "关联的代码库", required = true)
    private List<String> associateCodes;
    @Schema(title = "关联的流水线", required = true)
    private List<String> associatePipelines;
    @Schema(title = "是否有可更新实例", required = true)
    private Boolean hasUpdateInstance;
    @Schema(title = "是否有模版操作权限", required = true)
    private Boolean hasPermission;
    @Schema(title = "是否有模版查看权限", required = true)
    private Boolean canView;
    @Schema(title = "是否有模版编辑权限", required = true)
    private Boolean canEdit;
    @Schema(title = "是否有模版删除权限", required = true)
    private Boolean canDelete;
    @Schema(title = "创建者", required = false)
    private String creator;
    @Schema(title = "创建时间", required = false)
    private String createTime;
}
