package cd.casic.ci.log.scm.dal.pojo;

import cd.casic.ci.log.scm.enums.RepoAuthType;
import cd.casic.ci.log.scm.utils.GitUtils;
import lombok.Data;

@Data
public class CodeGitlabRepository extends Repository {

    private RepoAuthType authType;

    private Long gitProjectId;

    public static final String CLASS_TYPE = "codeGitLab";

    @Override
    public String getStartPrefix() {
        if (authType == RepoAuthType.SSH) {
            return "git@";
        } else if (authType == RepoAuthType.OAUTH) {
            return "http://";
        } else if (authType == RepoAuthType.HTTP) {
            return "http://";
        } else if (authType == RepoAuthType.HTTPS) {
            return "https://";
        } else {
            return "git@";
        }
    }

    @Override
    public Boolean isLegal() {
        if (authType == RepoAuthType.HTTP || authType == RepoAuthType.OAUTH || authType == RepoAuthType.HTTPS) {
            return GitUtils.isLegalHttpUrl(url);
        } else {
            return GitUtils.isLegalSshUrl(url);
        }
    }
}
