package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.label.Label;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_STORE_LABEL", description = "研发商店-标签")
@RestController
@RequestMapping("/user/store/labels")
public interface UserStoreLabelResource {

    @Operation(summary = "获取组件标签列表")
    @GetMapping("/types/{storeType}/list")
    CommonResult<List<Label>> getLabelList(
            @Parameter(description = "组件类型", required = true)
            @PathVariable("storeType")
            String storeType
    );

    @Operation(summary = "根据组件ID获取标签列表")
    @GetMapping("/types/{storeType}/ids/{storeId}/list")
    CommonResult<List<Label>> getLabelListByStoreId(
            @Parameter(description = "组件类型", required = true)
            @PathVariable("storeType")
            String storeType,
            @Parameter(description = "组件ID", required = true)
            @PathVariable("storeId")
            String storeId
    );
}