package cd.casic.pipeline.store.pojo.common.comment;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.List;

@Data
@Schema(title = "评论信息")
public class StoreCommentInfo {
    @Schema(title = "评论ID", required = true)
    private String commentId;
    @Schema(title = "评论者", required = true)
    private String commenter;
    @Schema(title = "评论内容", required = true)
    private String commentContent;
    @Schema(title = "评论者组织架构信息", required = true)
    private String commenterDept;
    @Schema(title = "评论者头像url地址", required = false)
    private String profileUrl;
    @Schema(title = "点赞个数", required = true)
    private Integer praiseCount;
    @Schema(title = "点赞用户列表", required = false)
    private List<String> praiseUsers;
    @Schema(title = "是否已点赞 true:是，false:否", required = true)
    private Boolean praiseFlag;
    @Schema(title = "评分", required = true)
    private Integer score;
    @Schema(title = "评论回复个数", required = true)
    private Integer replyCount;
    @Schema(title = "评论创建时间", required = true)
    private Long commentTime;
    @Schema(title = "评论更新时间", required = true)
    private Long updateTime;
}